LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
pangotext.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include "../libweed/weed.h"`
`#include "../libweed/weed-palettes.h"`
`#include "../libweed/weed-effects.h"`
`#include "../libweed/weed-host.h"`
`#include "main.h"`
`#include "pangotext.h"`
`#include <pango/pangocairo.h>`

## Functions
char ** | get_font_list (void)
LingoLayout * | render_text_to_cr (lives_painter_t *cr, const char *text, const char *fontname, double size, lives_text_mode_t mode, lives_colRGBA32_t *fg, lives_colRGBA32_t *bg, boolean center, boolean rising, double top, int offs_x, int width, int height)
weed_plant_t * | render_text_to_layer (weed_plant_t *layer, const char *text, const char *fontname, double size, lives_text_mode_t mode, lives_colRGBA32_t *fg_col, lives_colRGBA32_t *bg_col, boolean center, boolean rising, double top)
boolean | get_srt_text (lives_clip_t *sfile, double xtime)
boolean | get_sub_text (lives_clip_t *sfile, double xtime)
void | subtitles_free (lives_clip_t *sfile)
boolean | subtitles_init (lives_clip_t *sfile, char *fname, lives_subtitle_type_t subtype)
boolean | save_srt_subtitles (lives_clip_t *sfile, double start_time, double end_time, double offset_time, const char *filename)
boolean | save_sub_subtitles (lives_clip_t *sfile, double start_time, double end_time, double offset_time, const char *filename)

## Function Documentation

char** get_font_list | ( | void |  | ) |

boolean get_srt_text | ( | lives_clip_t * | sfile,
|  | double | xtime
| ) |  |

boolean get_sub_text | ( | lives_clip_t * | sfile,
|  | double | xtime
| ) |  |

LingoLayout* render_text_to_cr | ( | lives_painter_t * | cr,
|  | const char * | text,
|  | const char * | fontname,
|  | double | size,
|  | lives_text_mode_t | mode,
|  | lives_colRGBA32_t * | fg,
|  | lives_colRGBA32_t * | bg,
|  | boolean | center,
|  | boolean | rising,
|  | double | top,
|  | int | offs_x,
|  | int | width,
|  | int | height
| ) |  |

weed_plant_t* render_text_to_layer | ( | weed_plant_t * | layer,
|  | const char * | text,
|  | const char * | fontname,
|  | double | size,
|  | lives_text_mode_t | mode,
|  | lives_colRGBA32_t * | fg_col,
|  | lives_colRGBA32_t * | bg_col,
|  | boolean | center,
|  | boolean | rising,
|  | double | top
| ) |  |

< error occured

boolean save_srt_subtitles | ( | lives_clip_t * | sfile,
|  | double | start_time,
|  | double | end_time,
|  | double | offset_time,
|  | const char * | filename
| ) |  |

boolean save_sub_subtitles | ( | lives_clip_t * | sfile,
|  | double | start_time,
|  | double | end_time,
|  | double | offset_time,
|  | const char * | filename
| ) |  |

void subtitles_free | ( | lives_clip_t * | sfile | ) |

boolean subtitles_init | ( | lives_clip_t * | sfile,
|  | char * | fname,
|  | lives_subtitle_type_t | subtype
| ) |  |